Package ru.bitel.bgbilling.modules.dba.server.bean

# Class TableTaskDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.dba.server.bean.TableTaskDao

public class TableTaskDao extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableTaskDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteTask(String tableName)`
  `List<String>`
  `getTables()`
  `void`
  `tableInArchiveUpdate(List<String> tableNames, boolean value)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TableTaskDao

    public TableTaskDao(Connection con, int moduleId)

- ## Method Details

  - ### getTables

    public List<String> getTables() throws SQLException
    Throws:
      `SQLException`

  - ### deleteTask

    public void deleteTask(String tableName) throws SQLException
    Throws:
      `SQLException`

  - ### tableInArchiveUpdate

    public void tableInArchiveUpdate(List<String> tableNames, boolean value) throws SQLException
    Throws:
      `SQLException`